Java-Gaming.org    
Featured games (81)
games approved by the League of Dukes
Games in Showcase (489)
Games in Android Showcase (112)
games submitted by our members
Games in WIP (555)
games currently in development
News: Read the Java Gaming Resources, or peek at the official Java tutorials
 
    Home     Help   Search   Login   Register   
Pages: [1]
  ignore  |  Print  
  Using Jogl  (Read 3963 times)
0 Members and 1 Guest are viewing this topic.
Offline dotandcross

Senior Newbie




I'm a Java Bean


« Posted 2003-06-25 12:07:35 »

I have a set of the Jogl bindings. Included are

1) jogl.dll
2) jogl.jar

How do I set up the environment to make use of the Jogl bindings?

I get this error :

Gears.java:38: cannot access net.java.games.jogl.GLEventListener
bad class file: C:\jogl\net\java\games\jogl\GLEventListener.class
class file has wrong version 48.0, should be 47.0
Please remove or make sure it appears in the correct subdirectory of the classpath.
 static class GearRenderer implements GLEventListener, MouseListener, MouseMotionListener {
Offline Rob Grzywinski

Junior Member




Reality Interactive


« Reply #1 - Posted 2003-06-25 13:00:39 »

We're going to need a bit more info to help:

1.  Did you create JOGL yourself or did you download it (and if the latter, from where)?
2.  What OS / JVM?  (Problems like this are common with old JDK 1.4.0 betas)
3.  Did you compile the demos against the JOGL from #1 or are they from two different sources?
Offline dotandcross

Senior Newbie




I'm a Java Bean


« Reply #2 - Posted 2003-06-25 13:05:30 »

well...

1) I received the bindings from Pepijn(GL4Java guy)

2)I am using Windows Xp Sun jdk 1.3.1_01

3)The Gears demo came with the binaries
Games published by our own members! Check 'em out!
Legends of Yore - The Casual Retro Roguelike
Offline Athomas Goldberg

Junior Member




Grrrrrr...


« Reply #3 - Posted 2003-06-25 13:10:31 »

Quote

2)I am using Windows Xp Sun jdk 1.3.1_01


jogl was compiled against 1.4.2, so this is most likely your problem

Athomas Goldberg
Project Lead / Wildcard
Game Technologies Group
Sun Microsystems, Inc.
Offline Ken Russell

JGO Coder




Java games rock!


« Reply #4 - Posted 2003-06-25 14:25:24 »

Yes, JOGL is designed for J2SE 1.4 and above and makes heavy use of 1.4-specific features such as New I/O.
Offline dotandcross

Senior Newbie




I'm a Java Bean


« Reply #5 - Posted 2003-06-25 15:32:15 »

Thanks!!
Pages: [1]
  ignore  |  Print  
 
 
You cannot reply to this message, because it is very, very old.

 

Add your game by posting it in the WIP section,
or publish it in Showcase.

The first screenshot will be displayed as a thumbnail.

Nickropheliac (14 views)
2014-08-31 22:59:12

TehJavaDev (23 views)
2014-08-28 18:26:30

CopyableCougar4 (29 views)
2014-08-22 19:31:30

atombrot (41 views)
2014-08-19 09:29:53

Tekkerue (38 views)
2014-08-16 06:45:27

Tekkerue (35 views)
2014-08-16 06:22:17

Tekkerue (24 views)
2014-08-16 06:20:21

Tekkerue (34 views)
2014-08-16 06:12:11

Rayexar (72 views)
2014-08-11 02:49:23

BurntPizza (48 views)
2014-08-09 21:09:32
List of Learning Resources
by Longor1996
2014-08-16 10:40:00

List of Learning Resources
by SilverTiger
2014-08-05 19:33:27

Resources for WIP games
by CogWheelz
2014-08-01 16:20:17

Resources for WIP games
by CogWheelz
2014-08-01 16:19:50

List of Learning Resources
by SilverTiger
2014-07-31 16:29:50

List of Learning Resources
by SilverTiger
2014-07-31 16:26:06

List of Learning Resources
by SilverTiger
2014-07-31 11:54:12

HotSpot Options
by dleskov
2014-07-08 01:59:08
java-gaming.org is not responsible for the content posted by its members, including references to external websites, and other references that may or may not have a relation with our primarily gaming and game production oriented community. inquiries and complaints can be sent via email to the info‑account of the company managing the website of java‑gaming.org
Powered by MySQL Powered by PHP Powered by SMF 1.1.18 | SMF © 2013, Simple Machines | Managed by Enhanced Four Valid XHTML 1.0! Valid CSS!